<template>
  <div>
    <button
      v-on:click="connect"
      class="
        bg-green-500
        hover:bg-green-700
        text-black text-sm
        py-2
        px-4
        rounded
      "
    >
      Connect Metamask
    </button>
  </div>
</template>

<script>
export default {
  name: "ConnectButtion",
  methods: {
    connect: function () {
      this.$store.dispatch("connectToMetamask", null, { root: true });
    },
  },
};
</script>
